
def read_mifare_card(serial_number):
    from nfc import NfcReaderWriter
    from nfc.tag import Tag
    from nfc.tag.mifare import MifareCard

    reader = NfcReaderWriter()
    tag = reader.connect(serial_number)
    mifare_card = MifareCard(tag)
    return mifare_card



